import request from '@/apis/request.js'
const { get, post } = request

export const savePartnerAccount = (data) => {
  return post('nakadai/nakadai/partnerAccount/savePartnerAccount', data)
}

export const teamList = (data) => {
  return post('nakadai/nakadai/partnerAccount/partnerAccountList', data)
}

export const generateInvitationCode = accountId => {
  return post(`nakadai/nakadai/partnerAccount/generateInvitationCode?accountId=${accountId}`)
}

export const treeList = () => {
  return post('nakadai/nakadai/partnerClassification/treeList?applet=1')
}

export const my = (data) => {
  return get('nakadai/nakadai/partner-team/my', data)
}

export const mailFileSend = (data) => {
  return post('nakadai/nakadai/partnerAccount/mailFileSend', data)
}

export const getAllTeam = () => {
  return get('nakadai/nakadai/partnerClassification/getAllTeam')
}

export const teamPartnerList = (data) => {
  return post('nakadai/nakadai/partnerAccount/teamPartnerList', data)
}

export const queryTeamMembers = (data) => {
  return post('nakadai/nakadai/partnerAccount/queryTeamMembers', data)
}

export const updatePartner = (data) => {
  return post('nakadai/nakadai/partnerClassification/update', data)
}

export const editProvinceCity = data => {
  return post(`nakadai/nakadai/partner-team/editProvinceCity`, data)
}

export const getPartnerTeamRates = data => {
  return post(`nakadai/nakadai/partner-team/getPartnerTeamRates`, data)
}